import { EventEmitter, OnInit } from '@angular/core';
import { Configurations } from '../../../../configurations';
import * as i0 from "@angular/core";
export declare class GrcResponsibilityListingComponent implements OnInit {
    profilePic: string;
    env: any;
    dataList: any;
    headerText: string;
    selectedListData: any;
    selectedListDataIds: any;
    perPageLimit: number;
    currentPage: number;
    totalPages: number;
    totalListData: number;
    selectedProgramAndResp: any;
    activeProgram: any;
    calledFrom: string;
    MODE: 'CREATE' | 'EDIT';
    allSelectedResponsibilityIds: any;
    set getResponsibilityList(value: any);
    set getSelectedProgramAndResp(value: any);
    getUpdatedDataList: EventEmitter<any>;
    changeSelectedProgramAndResp: EventEmitter<any>;
    constructor(config?: Configurations);
    ngOnInit(): void;
    getSelectedData(responsibility: any, event: any): void;
    deleteEvent(responsibility: any): void;
    selectAll(event: any): void;
    isAllSelected(): boolean;
    changePage(event: number): void;
    updateOrCreateCategory(programId: number, program: any): void;
    getSelectedDataAndIds(selectedData: any): void;
    findCheckedProgramIndex(categoryId: number | number[]): number;
    deleteSelectedResponsibility(responsibility: any): void;
    getSubCategoryIds(selectedResponsibility: any): unknown[];
    static ɵfac: i0.ɵɵFactoryDeclaration<GrcResponsibilityListingComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GrcResponsibilityListingComponent, "app-grc-responsibility-listing", never, { "tableCard": { "alias": "tableCard"; "required": false; }; "activeProgram": { "alias": "activeProgram"; "required": false; }; "headerText": { "alias": "headerText"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "perPageLimit": { "alias": "perPageLimit"; "required": false; }; "totalListData": { "alias": "totalListData"; "required": false; }; "totalPages": { "alias": "totalPages"; "required": false; }; "selectedListData": { "alias": "selectedListData"; "required": false; }; "selectedListDataIds": { "alias": "selectedListDataIds"; "required": false; }; "MODE": { "alias": "MODE"; "required": false; }; "allSelectedResponsibilityIds": { "alias": "allSelectedResponsibilityIds"; "required": false; }; "getResponsibilityList": { "alias": "responsibilityData"; "required": false; }; "getSelectedProgramAndResp": { "alias": "selectedProgramAndResp"; "required": false; }; }, { "getUpdatedDataList": "getUpdatedDataList"; "changeSelectedProgramAndResp": "changeSelectedProgramAndResp"; }, never, never, true, never>;
}
